> ## Documentation Index
> Fetch the complete documentation index at: https://lightdash-mintlify-9d6f9427.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List users

> List SCIM users in the organization



## OpenAPI

````yaml https://raw.githubusercontent.com/lightdash/lightdash/refs/heads/main/packages/backend/src/generated/swagger.json get /api/v1/scim/v2/Users
openapi: 3.0.0
info:
  title: Lightdash API
  version: 0.3249.0
  description: >
    Open API documentation for all public Lightdash API endpoints. #
    Authentication Before you get started, you might need to create a Personal
    Access Token to authenticate via the API. You can create a token by
    following this guide: https://docs.lightdash.com/references/personal_tokens
  license:
    name: MIT
  contact:
    name: Lightdash Support
    email: support@lightdash.com
    url: https://docs.lightdash.com/help-and-contact/contact/contact_info/
servers:
  - url: /
security: []
tags:
  - name: My Account
    description: These routes allow users to manage their own user account.
  - name: Organizations
    description: >-
      Each user is a member of a single organization. These routes allow users
      to manage their organization. Most actions are only available to admin
      users.
  - name: Projects
    description: >-
      Projects belong to a single organization. These routes allow users to
      manage their projects, browse content, and execute queries. Users inside
      an organization might have access to a project from an organization-level
      role or they might be granted access to a project directly.
  - name: Spaces
    description: >-
      Spaces allow you to organize charts and dashboards within a project. They
      also allow granular access to content by allowing you to create private
      spaces, which are only accessible to the creator and admins.
  - name: Roles & Permissions
    description: >-
      These routes allow users to manage roles and permissions for their
      organization.
    externalDocs:
      url: https://docs.lightdash.com/references/roles
  - name: Query
    description: >-
      These routes allow users to execute and manage queries against their data
      warehouse. This includes metric queries, SQL queries, and retrieving query
      results.
paths:
  /api/v1/scim/v2/Users:
    get:
      tags:
        - SCIM
      summary: List users
      description: List SCIM users in the organization
      operationId: GetScimUsers
      parameters:
        - description: >-
            SCIM filter string (optional). See:
            https://bookstack.soffid.com/books/scim/page/scim-query-syntax
          in: query
          name: filter
          required: false
          schema:
            type: string
        - description: 1-based index of the first result to return (optional)
          in: query
          name: startIndex
          required: false
          schema:
            type: number
            format: double
        - description: Maximum number of results to return (optional)
          in: query
          name: count
          required: false
          schema:
            type: number
            format: double
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ScimListResponse_ScimUser_'
              examples:
                Example 1:
                  value:
                    schemas:
                      - urn:ietf:params:scim:api:messages:2.0:ListResponse
                    totalResults: 1
                    itemsPerPage: 1
                    startIndex: 1
                    Resources:
                      - schemas:
                          - urn:ietf:params:scim:schemas:core:2.0:User
                        id: e0dd2003-c291-4e14-b977-7a03b7edc842
                        userName: demo3@lightdash.com
                        name:
                          givenName: Viewer
                          familyName: User
                        active: true
                        emails:
                          - value: demo3@lightdash.com
                            primary: true
                        roles:
                          - value: viewer
                            display: Viewer
                            type: Organization
                          - value: 3675b69e-8324-4110-bdca-059031aa8da3:editor
                            display: Jaffle shop - Editor
                            type: Project - Jaffle shop
                            primary: false
                        meta:
                          resourceType: User
                          created: '2025-11-03T14:22:18.464Z'
                          lastModified: '2025-11-05T15:04:02.687Z'
                          location: >-
                            https://<tenant>.lightdash.cloud/api/v1/scim/v2/Users/e0dd2003-c291-4e14-b977-7a03b7edc842
      security: []
components:
  schemas:
    ScimListResponse_ScimUser_:
      properties:
        schemas:
          items:
            $ref: '#/components/schemas/ScimSchemaType.LIST_RESPONSE'
          type: array
        totalResults:
          type: number
          format: double
        itemsPerPage:
          type: number
          format: double
        startIndex:
          type: number
          format: double
        Resources:
          items:
            $ref: '#/components/schemas/ScimUser'
          type: array
      required:
        - schemas
        - totalResults
        - itemsPerPage
        - startIndex
        - Resources
      type: object
      additionalProperties: true
    ScimSchemaType.LIST_RESPONSE:
      enum:
        - urn:ietf:params:scim:api:messages:2.0:ListResponse
      type: string
    ScimUser:
      properties:
        schemas:
          items:
            type: string
          type: array
        id:
          type: string
        meta:
          properties:
            version:
              type: string
            location:
              type: string
            lastModified:
              type: string
              format: date-time
            created:
              type: string
              format: date-time
            resourceType:
              type: string
          type: object
        userName:
          type: string
        name:
          properties:
            familyName:
              type: string
            givenName:
              type: string
          type: object
        active:
          type: boolean
        emails:
          items:
            properties:
              primary:
                type: boolean
              value:
                type: string
            required:
              - value
            type: object
          type: array
        roles:
          items:
            $ref: '#/components/schemas/ScimUserRole'
          type: array
        urn:lightdash:params:scim:schemas:extension:2.0:User:
          $ref: '#/components/schemas/LightdashScimExtension'
      required:
        - schemas
        - id
        - userName
      type: object
      additionalProperties: true
    ScimUserRole:
      properties:
        value:
          type: string
        display:
          type: string
        type:
          type: string
        primary:
          type: boolean
      required:
        - value
      type: object
      additionalProperties: true
    LightdashScimExtension:
      properties:
        role:
          type: string
          deprecated: true
      type: object
      additionalProperties: true

````